Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.session
Class SessionListener

    java.lang.Object
      org.jboss.portal.portlet.session.SessionListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionListener

Direct Known Subclasses:
  PortletSessionListener

    public class SessionListener

extends java.lang.Object
implements javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionListener

Listener for various session events that modifies the subsession associated with the current thread of execution.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`SessionListener()`

Method Summary
`static void` | `activate()`
`void` | `attributeAdded(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `attributeRemoved(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `attributeReplaced(javax.servlet.http.HttpSessionBindingEvent event)`
`static java.util.List` | `desactivate()`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent event)`
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionListener

    public SessionListener()

Method Detail

### attributeAdded

    public void attributeAdded(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

### activate

    public static void activate()
                         throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### desactivate

    public static java.util.List desactivate()
                                      throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD